Subject: Re: skge: PCI error cmd=0x117 status=0x22b0

From: Stephen Hemminger <[email-masked]>
Date: Fri, 14 Nov 2008 10:06:23 -0800

On Fri, 14 Nov 2008 18:55:07 +0100
Jan Kasprzak <[email-masked]> wrote:

> Stephen Hemminger wrote:
> : On Fri, 14 Nov 2008 16:36:46 +0100
> : Jan Kasprzak <[email-masked]> wrote:
> : 
> : > 	Hello,
> : > 
> : > I have an ASUS M2R32-MVP board with the skge network card. From time to time
> : > the network freezes with the following message (this one taken from
> : > 2.6.27-rc7, another one added even with timing information at the end
> : > of this mail):
> : > 
> : > skge 0000:03:04.0: PCI error cmd=0x117 status=0x22b0
> : > skge 0000:03:04.0: unable to clear error (so ignoring them)
> : 
> : The device is getting a PCI master abort on a DMA.
> : Either, you have hardware issues, or there is a driver bug when accessing
> : a particular memory address.  Do you have 4G or more of memory?
> 
> 	Yes (I have written it in my previous mail) - I have 8 GB of RAM.
> Can - for example - a non-linear memory (i.e. the memory hole remapping)
> be a problem? IIRC, I have it set to "on" in my BIOS setup.
> 
> : Some motherboards are crap and don't actually allow DMA from high memory.
> 
> 	With 8 GB only half of my RAM is below the 32-bit barrier,
> so I guess if this was a problem, I would got this error more often
> (every second packet on average?).
> 
> 	OK, I will try to poke my HW vendor. Thanks,
> 
> -Yenya
> 

You could also try adjustments of iommu on kernel command line
(force, off, soft, etc). Andi Kleen might no more about this.